Package org.apache.lucene.misc.index

# Interface IndexRearranger.DocumentSelector

All Known Implementing Classes:
  `BinaryDocValueSelector`

Enclosing class:
  `IndexRearranger`

public static interface IndexRearranger.DocumentSelector
Select document within a CodecReader

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BitSet`
  `getFilteredDocs(CodecReader reader)`

- ## Method Details

  - ### getFilteredDocs

    BitSet getFilteredDocs(CodecReader reader) throws IOException
    Throws:
      `IOException`